// Persistence of Vision Ray Tracer Scene Description File
// File: mb_stage1.pov
// Vers: 3.6.1, 3.7
// Desc: Basic Scene Example
// Date: 12/18/09, 12/27/09
// Auth: David Wagner
// Cite: http://www.skytopia.com/project/fractal/2mandelbulb.html
// Cite: http://www.bugman123.com/Hypercomplex/index.html

#if(file_exists("mbsdl.inc"))
#debug "NOTICE: Using mandelbulb recursive SDL function.\n"
#include "mbsdl.inc" // Include this first.
#end
#ifndef(Mbsdl_Inc_Temp)
#debug "NOTICE: Using mandelbulb internal function patch.\n"
#declare f_mandelbulb=function{internal(79)};
#end

#include "stage1.inc"

isosurface{
   function{f_mandelbulb(x,y,z, 8,8,8, -pi/2, 3, 3)}
   threshold 1/3
   max_gradient 12
   accuracy 0.001
   contained_by{sphere{<0,0,0>,1.2}}
   texture{
      pigment{White}
      }
   }
